Search Docs articles
Docs articles matching a search, across your Docs sites.
GET https://cotlet.dev/api/v1/help-scout/docs-articles/search
read
Searches the articles of your Docs sites the way the Docs results in Help Scout search do and returns each hit with its collection, status and whether an unpublished draft exists. Published and not published articles both appear, so you can find a draft that someone else is editing.
Parameters
| Name | Type | Description |
|---|---|---|
| query string required | string | Search text. |
| status enum | enum | all, published or notpublished. Default: all. |
| limit integer | integer | 1 to 50. Default: 20. |
Request
curl "https://cotlet.dev/api/v1/help-scout/docs-articles/search?query=query" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("help-scout", "search_docs_articles", {"query":"query"}) const result = await cotlet.call('help-scout', 'search_docs_articles', {"query":"query"}); cotlet call help-scout search_docs_articles --data '{"query":"query"}' Example response
{
"query": "Reports",
"articles": [
{
"article_id": "6628f1a2b5d30",
"name": "Export conversation data",
"collection": "Using Help Scout",
"status": "published",
"has_draft": false,
"url": "https://docs.example.com/article/12-export-conversation-data"
},
{
"article_id": "6628f1a2b5d41",
"name": "Reports API overview",
"collection": "Developers",
"status": "published",
"has_draft": true,
"url": "https://docs.example.com/article/19-reports-api-overview"
}
]
}